
Redmine - Defect #15793

Problems with recieving emails with attached .msg files

2014-01-02 09:46 - Evgeniy Cn

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Evgeniy Cn % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.3.1

Description

If user send email via Outlook with attached .msg file (MS Outlook mail) Redmine will ignore it and add to the issue just text from

message-body.

There is the same issue in this topic: #8093

But no respond for one year, any ideas how to fix it ?

Thank you.

Related issues:

Related to Redmine - Defect #8093: Incoming email with internal emails as att... New 2011-04-07

History

#1 - 2014-01-02 13:54 - Daniel Felix

- Related to Defect #8093: Incoming email with internal emails as attachments isn't processed properly added

#2 - 2014-01-03 15:22 - Jean-Philippe Lang

Could you post the content of an email fo which you have this problem?

#3 - 2014-01-05 04:50 - Evgeniy Cn

It doesn't metter what kind of content mails has, if it has attached .msg file, this file will not be upload, wihout any error in the logs, just like there is no

any attached .msg file at all.

#4 - 2014-01-05 15:35 - Jean-Philippe Lang

- Status changed from New to Needs feedback

- Assignee set to Evgeniy Cn

I don't have Outlook and can't test this without a sample email, can you post one? I've made a test with the one provided in #8093 and it works fine.

#5 - 2014-01-06 06:17 - Toshi MARUYAMA

- Description updated

#6 - 2014-01-06 11:42 - Evgeniy Cn

- File Test issue.msg added

- File issue.JPG added

I attached "test issue".msg with other .msg file inside and issue.jpg (that how it looks in redmine, no any attachments).

#7 - 2014-01-19 10:09 - Jean-Philippe Lang

- Resolution set to Cant reproduce

I had to convert you msg to eml so I can load it with rake redmine:email:read. After that, the issue is properly created with a "Test.eml" attachment.

#8 - 2014-02-11 06:07 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed
#9 - 2022-06-22 16:07 - Jan Catrysse

This still is an issue.

When outlook adds mail messages as an attachment, it uses this type of headers:

...

--_012_342b0886c5894875a2dadf9b72a8b986XXXXXXXXXXXXXXXXX_

Content-Type: message/rfc822

Content-Disposition: attachment;

    creation-date="Tue, 21 Jun 2022 16:05:12 GMT";

    modification-date="Tue, 21 Jun 2022 16:05:12 GMT" 

Received: from XXXX.XXXXX.LOCAL (192.168.254.15) by

...

 and not regular attachments... those parts are not handled correctly.

One should expect the message is attached as an attachment to the issue, and now the system is extracting the attachments from the attached

message, but not the message itself.

I suspect this is an issue with the mail gem...

#10 - 2022-06-22 17:01 - Jan Catrysse

I added a very dirty fix in #8093.

But it would be nice to have this addressed by someone more proficient.

Files

Test issue.msg 38 KB 2014-01-06 Evgeniy Cn

issue.JPG 17.7 KB 2014-01-06 Evgeniy Cn
